Skip to main content
POST
/
v1
/
conversations
Create a conversation
curl --request POST \
  --url https://dev.flextell.ai/api/v1/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "channel_id": 2,
  "address": "<string>",
  "first_name": "<string>",
  "last_name": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "display_name": "<string>",
    "address": "<string>",
    "last_message_id": "<string>",
    "last_message": "<string>",
    "last_message_at": "<string>",
    "last_message_type": "<string>",
    "last_message_is_customer": true,
    "unread_count": "<string>",
    "agent_disabled": true,
    "agent_expires_at": "2023-11-07T05:31:56Z",
    "agent_disabled_by_user_name": "<string>",
    "customer": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "avatar_url": "<string>"
    },
    "channel": {
      "id": 123,
      "name": "<string>",
      "type": "<string>",
      "address": "<string>"
    },
    "blacklist": {
      "id": 123,
      "tenant_id": 123,
      "reason": "<string>",
      "reason_label": "<string>",
      "note": "<string>",
      "blocked_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "is_active": true,
      "is_permanent": true,
      "is_expired": true,
      "remaining_time": "<string>",
      "metadata": [
        "<unknown>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "channel": {
        "id": 123,
        "name": "<string>",
        "address": "<string>"
      },
      "customer": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
channel_id
integer
required

The channel ID.

Required range: x >= 1
address
string
required

The street address.

Maximum string length: 255
first_name
string | null

The first name.

Maximum string length: 255
last_name
string | null

The last name.

Maximum string length: 255

Response

success
string
required
data
ConversationResource · object
required